"""
What do you do when you have a script that is used by Vision and Perspective, but not all libraries are available to both?
You come here.
"""

class DevError(Exception):
	pass
	
class FormError(Exception):
	pass

def uPrint(message):
	"""
	Prints regardless if client is Vision or Perspective.	
	Args:
		message: str, what do you want to print
	Returns:
		None
	"""
	try:
		import system.tag
		print message
	except ImportError:
		import system.perspective
		system.perspective.print(message)